net.corda.core.contracts

## Class BusinessCalendar

- net.corda.core.contracts.BusinessCalendar

-     public class BusinessCalendar

  A business calendar performs date calculations that take into account national holidays and weekends. This is a typical feature of financial contracts, in which a business may not want a payment event to fall on a day when no staff are around to handle problems.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BusinessCalendar.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BusinessCalendar.Companion` | `Companion`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.LocalDate` | `applyRollConvention(java.time.LocalDate testDate, DateRollConvention dateRollConvention)`
    `boolean` | `equals(java.lang.Object other)`
    `java.util.List<java.time.LocalDate>` | `getHolidayDates()`
    `int` | `hashCode()`
    `boolean` | `isWorkingDay(java.time.LocalDate date)`
    `java.time.LocalDate` | `moveBusinessDays(java.time.LocalDate date, DateRollDirection direction, int i)` Returns a date which is the inbound date plus/minus a given number of business days. TODO: Make more efficient if necessary

- - ### Field Detail

    - #### Companion

          public static BusinessCalendar.Companion Companion

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object other)

    - #### hashCode

          public int hashCode()

    - #### isWorkingDay

          public boolean isWorkingDay(java.time.LocalDate date)

    - #### applyRollConvention

          public java.time.LocalDate applyRollConvention(java.time.LocalDate testDate,
                                                         DateRollConvention dateRollConvention)

    - #### moveBusinessDays

          public java.time.LocalDate moveBusinessDays(java.time.LocalDate date,
                                                      DateRollDirection direction,
                                                      int i)

      Returns a date which is the inbound date plus/minus a given number of business days. TODO: Make more efficient if necessary

    - #### getHolidayDates

          public java.util.List<java.time.LocalDate> getHolidayDates()